
%global meadversion 1.2.0
%global namedversion 1.2.0.redhat-00007
%global meadalpha .redhat_00007
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00007

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package fge-btf}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.2.0.redhat-00007

Name:           %{?scl_prefix}fge-btf
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Generic interfaces to the classical builder pattern and the less classical "freeze/thaw" pattern
License:        LGPLv3+ and ASL 2.0
Group:          Development/Java

%if %with mead
Source100: btf-1.2.0.redhat-00007-project-sources.tar.gz
Source102: btf-1.2.0.redhat-00007.pom
Source103: btf-1.2.0.redhat-00007.jar
Source104: btf-1.2.0.redhat-00007-javadoc.jar
Source105: btf-1.2.0.redhat-00007-sources.jar
%endif

URL:            https://github.com/fge/btf/
BuildRoot:      %{_tmppath}/fge-btf-%{version}-%{release}-root
BuildArch:      noarch

%description
Generic interfaces to the classical builder pattern and the less classical "freeze/thaw" pattern.

%if %with javadoc
%package javadoc
Group:          Documentation

Summary:        Javadoc for fge-btf
BuildRequires:  unzip

%description javadoc
API documentation for fge-btf.
%endif

%prep
%setup -q -n btf-%{namedversion} -T -b 100

%build

%install
rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{_javadir}
install -p -m 0644 %{_sourcedir}/btf-%{namedversion}.jar %{buildroot}%{_javadir}/btf-%{namedversion}.jar
install -p -m 0644 %{_sourcedir}/btf-%{namedversion}-sources.jar %{buildroot}%{_javadir}/btf-%{namedversion}-sources.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/btf-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/btf-%{namedversion}-javadoc.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -s ${jar} `echo $jar| sed "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/fge-btf-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/btf-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/fge-btf-%{namedversion} -x META-INF/\*
%{__ln_s} fge-btf-%{namedversion} %{buildroot}%{_javadocdir}/fge-btf
%endif

%clean
rm -rf %{buildroot}

%files -n %{?scl_prefix}fge-btf
%defattr(0644,root,root,0755)
%doc LICENSE ASL-2.0.txt LGPL-3.0.txt README.md
%{_javadir}/btf-%{namedversion}.jar
%{_javadir}/btf.jar
%{_javadir}/btf-%{namedversion}-sources.jar
%{_javadir}/btf-sources.jar
%if %with javadoc
%{_javadir}/btf-%{namedversion}-javadoc.jar
%{_javadir}/btf-javadoc.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/fge-btf-%{namedversion}
%{_javadocdir}/fge-btf
%endif

%changelog
* Tue Sep 01 2020 Yong Yang <yyang@redhat.com> - 1.2.0-1.redhat_00007.1
-  1.2.0.redhat-00007

* Tue Sep 01 2020 Yong Yang <yyang@redhat.com> - 1.2.0-1.Final_redhat_00007.1
- Init build
